Subject: Re: BSOD on cygwin
From: Bhiksha Raj <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 12 Jan 2003 18:34:40 -0500

Hi,

First I must apologize for my multiple posts earlier.
I wasnt sure if the first one had gone through, since I never
got a copy myself. So I figured Id messed up and posted again.

Anyway,
the problem (as I mentioned earlier) is that on my windows 98
machine, with the latest cygwin, I get a blue screen of death
when I try to run "configure --disable-shared" on guile-1.4.1.
(Im using 1.4.1 because Im tyring to compile TeXmacs).

Ive since dug around a bit, crashed my machine a hunded times,
and collected logs. I found that the configure script dies
on line 4791, at a line that goes 
"if sort conftest.nm|uniq > conftest.ntM;then"

I get an empty conftest.nmT and the machine dies.
I tried running the same command from command line. The first time
I ran it, my cygwin window froze (although my machine didnt die),
but thereafter Ive been able to run it from command line.
However, running the configure script kills the machine at the
uniq again.

Im attaching the configure script, the config.log, and the 
conftest.nm files (the conftest.nmT file I get is empty).
I hope this is not bad practice, but I figure they would help
find the problem.
The tail of the config.log file should indicate where exactly
my machine dies (every time!).
Also, as per Igor Pechtchanski's suggestion, I ran a cygcheck -s -v -r and
am attaching the output.

Curiously, cygcheck -s -v -r gave me output the first time I
ran it. Afterwards, running the command simply gives me no output
at all - it simply runs silently and comes back. Im not sure why
this is so - I was pretty sure it was supposed to repeat the
information everytime I ran it. I hope this doesnt indicate a
bug with my setup.

Many thanks for any and all help in this issue.

Regards,
Bhiksha
[email-masked]

On Sun, Jan 12, 2003 at 10:40:48AM -0500, Igor Pechtchanski wrote:
> On Sun, 12 Jan 2003, Igor Pechtchanski wrote:
> 
> > On Sat, 11 Jan 2003, Bhiksha Raj wrote:
> >
> > > Hi All,
> > >
> > > I hope this is not the wrong forum for this:
> > >
> > > Im trying to install TeXmacs on my win98+cygwin laptop.
> > > First I installed the binaries for guile from the cygwin setup
> > > (I have XFree and Tex and all associated libs already)
> > > downloaded TeXmacs sources, ran ./configure and then
> > > gave a "make".
> > > I got  the blue screen of death (BSD).
> > > After iterating through several BSDs, I hunted on the web
> > > and found a site that said that static linkages were a problem with
> > > the latest guile and that I must install guile 1.4.1. So I uninstalled
> > > guile,
> > > downloaded the sources for guile 1.4.1, untarred them and
> > > ran
> > > ./configure --disable-shared
> > >
> > > It runs through several checks, but never completes - insted it
> > > gives me at some point it simply gives me the blue screen of death.
> > > This time around Im not even getting past configure.
> > >
> > > Im not sure what to do now.
> > > Any advice at all would be greatly appreciated.
> > >
> > > Much thanks
> > > Bhiksha
> > > [email-masked]
> >
> > Bhiksha,
> >
> > This is a forum for all problems with Cygwin, so your question fits in
> > nicely.  To answer it, Cygwin never *causes* a BSOD.  It may expose or
> > trigger a bug in Windows or some process running with system privileges
> > (antivirus programs have been blamed a lot), but Cygwin itself doesn't
> > have enough access to the low-level OS to be able to cause a BSOD.
> >
> > Try turning off your antivirus program(s) and see if it makes the BSOD go
> > away.  Another possibility is firewall or VPN software.  The output of
> > 'cygcheck -s -v -r' as a non-inline uncompressed text *attachment*
> > wouldn't hurt, either (as indicated in <http://cygwin.com/bugs/>).
> >         Igor
> > P.S. I'm sure you'll get more and better responses on Monday.
> 
> Whoops!  Fingers striving to be independent from the brain...  Make the
> above link <http://cygwin.com/bugs.html> (also at the bottom of every
> message).
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
>   -- /usr/games/fortune
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/